cURL
curl --request POST \
--url https://app-api.aide.app/v1/procedures/trigger-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"whenToUse": "<string>",
"triggerThreshold": 0.625,
"conditions": [
[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]
],
"procedureId": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/procedures/trigger-checks"
payload = {
"whenToUse": "<string>",
"triggerThreshold": 0.625,
"conditions": [[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]],
"procedureId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whenToUse: '<string>',
triggerThreshold: 0.625,
conditions: [
[
{
topicId: '<string>',
fieldKey: '<string>',
value: '<string>',
customFieldName: '<string>'
}
]
],
procedureId: '<string>'
})
};
fetch('https://app-api.aide.app/v1/procedures/trigger-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/procedures/trigger-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'whenToUse' => '<string>',
'triggerThreshold' => 0.625,
'conditions' => [
[
[
'topicId' => '<string>',
'fieldKey' => '<string>',
'value' => '<string>',
'customFieldName' => '<string>'
]
]
],
'procedureId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/procedures/trigger-checks"
payload := strings.NewReader("{\n \"whenToUse\": \"<string>\",\n \"triggerThreshold\": 0.625,\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"procedureId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/procedures/trigger-checks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"whenToUse\": \"<string>\",\n \"triggerThreshold\": 0.625,\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"procedureId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/procedures/trigger-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"whenToUse\": \"<string>\",\n \"triggerThreshold\": 0.625,\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"procedureId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "procedure_trigger_check",
"id": "<string>",
"status": "failed",
"error": "<string>",
"result": {
"threshold": 123,
"conversations": [
{
"preview": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"subject": "<string>",
"reason": "<string>",
"channel": "<string>",
"requester": {
"name": "<string>"
},
"matched": true,
"score": 123
}
],
"considered": 123,
"matched": 123,
"computedAt": "<string>",
"tokens": {
"output": 123,
"input": 123,
"cacheRead": 123
}
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ProcedureTriggerCheck
Post v1procedurestrigger checks
POST
/
v1
/
procedures
/
trigger-checks
cURL
curl --request POST \
--url https://app-api.aide.app/v1/procedures/trigger-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"whenToUse": "<string>",
"triggerThreshold": 0.625,
"conditions": [
[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]
],
"procedureId": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/procedures/trigger-checks"
payload = {
"whenToUse": "<string>",
"triggerThreshold": 0.625,
"conditions": [[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]],
"procedureId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whenToUse: '<string>',
triggerThreshold: 0.625,
conditions: [
[
{
topicId: '<string>',
fieldKey: '<string>',
value: '<string>',
customFieldName: '<string>'
}
]
],
procedureId: '<string>'
})
};
fetch('https://app-api.aide.app/v1/procedures/trigger-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/procedures/trigger-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'whenToUse' => '<string>',
'triggerThreshold' => 0.625,
'conditions' => [
[
[
'topicId' => '<string>',
'fieldKey' => '<string>',
'value' => '<string>',
'customFieldName' => '<string>'
]
]
],
'procedureId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/procedures/trigger-checks"
payload := strings.NewReader("{\n \"whenToUse\": \"<string>\",\n \"triggerThreshold\": 0.625,\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"procedureId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/procedures/trigger-checks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"whenToUse\": \"<string>\",\n \"triggerThreshold\": 0.625,\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"procedureId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/procedures/trigger-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"whenToUse\": \"<string>\",\n \"triggerThreshold\": 0.625,\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"procedureId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "procedure_trigger_check",
"id": "<string>",
"status": "failed",
"error": "<string>",
"result": {
"threshold": 123,
"conversations": [
{
"preview": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"subject": "<string>",
"reason": "<string>",
"channel": "<string>",
"requester": {
"name": "<string>"
},
"matched": true,
"score": 123
}
],
"considered": 123,
"matched": 123,
"computedAt": "<string>",
"tokens": {
"output": 123,
"input": 123,
"cacheRead": 123
}
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Response
Accepted
Show child attributes
Show child attributes